# PaintingStyle enum

Strategies for painting shapes and paths on a canvas.

See Paint.style.

## Constants

fill → const PaintingStyle

  Apply the Paint to the inside of the shape. For example, when applied to the Canvas.drawCircle call, this results in a disc of the given size being painted.

  `const PaintingStyle(0)`
stroke → const PaintingStyle

  Apply the Paint to the edge of the shape. For example, when applied to the Canvas.drawCircle call, this results is a hoop of the given size being painted. The line drawn on the edge will be the width given by the Paint.strokeWidth property.

  `const PaintingStyle(1)`
values → const List<PaintingStyle>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PaintingStyle>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited